# Amuse: amuse::AudioGroup Class Reference

amuse::AudioGroup Class Reference

`#include <AudioGroup.hpp>`

Collaboration diagram for amuse::AudioGroup:

## Public Member Functions

| operator bool () const
| AudioGroup (const AudioGroupData &data)
const Sample * | getSample (int sfxId) const
const unsigned char * | getSampleData (uint32_t offset) const
const AudioGroupProject & | getProj () const
const AudioGroupPool & | getPool () const

## Detailed Description

Runtime audio group index container

Definition at line 16 of file AudioGroup.hpp.

The documentation for this class was generated from the following file:

- include/amuse/AudioGroup.hpp